import Link from "next/link"

import Image from "@/components/Image"

import styles from "./logo.module.css"

import { LogoProps } from "@/types/components/header/logo"

export default async function Logo({ title, height, width, src }: LogoProps) {
  return (
    <Link className={styles.link} href="#">
      <Image alt={title} height={height} src={src} width={width} />
    </Link>
  )
}
